---
lang: en
title: 'API docs: rest.createcontrollerfactoryforbinding'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.createcontrollerfactoryforbinding.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [createControllerFactoryForBinding](./rest.createcontrollerfactoryforbinding.md)

## createControllerFactoryForBinding() function

Create a controller factory function for a given binding key

<b>Signature:</b>

```typescript
export declare function createControllerFactoryForBinding<T>(key: string): ControllerFactory<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>string</code> | Binding key |

<b>Returns:</b>

`ControllerFactory<T>`


